<?php
/**
 * Displays top navigation
 *
 */

?>
<div class="wrapper-for-sub-menu">
<div class="header">
    <div class="container clearfix">
        
        <div class="navbar-logo-container">
            <a class="navbar-logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
                <?php if(get_field('smh_logo','options')):?>
                <?php if(strpos(get_field('smh_logo','options'), '.svg') !== false):?>
                <?php echo file_get_contents(get_field('smh_logo','options')); ?>
                <?php else:?>
                <img src="<?php the_field('smh_logo','options');?>" alt="">
                <?php endif;?>
                <?php else:?>
                <img src="<?=get_template_directory_uri();?>/images/header-logo.png" alt="">
                <?php endif;?>
            </a>
        </div> <!-- navbar-logo-container -->

        <div class="navbar-menu-container clearfix hidden-sm hidden-xs">
            <?php ubermenu( 'main' , array( 'menu' => 2 ) ); ?>
            <!-- navbar-menu-container left half -->
            
            <ul class="nav navbar-nav clearfix">
                <li id="hidden-block">
                    <?php get_search_form();?>
                </li>
                <li id="open-close">
                    <i class="fa fa-search" aria-hidden="true"></i>
                </li>
                <?php if(get_field('smh_phone_number','options')):?>
                    <li class="phone-number">
                        <span>
                            <i class="fa fa-mobile" aria-hidden="true"></i>
                        </span>
                        <span>
                            <a href="tel:<?php the_field('smh_phone_number','options');?>">
                                <?php the_field('smh_phone_number','options');?>
                            </a>
                        </span>
                    </li>
                <?php endif;?>
            </ul>
            <!-- navbar-menu-container right half -->
            
        </div> <!-- navbar-menu-container -->
        
        <div class="custom-navigation-container hidden-lg hidden-md visible-sm visible-xs">
            <?php $args = array(
                'theme_location'  => 'top',
                'container'       => '', 
                'container_class' => '', 
                'container_id'    => '',
                'menu_class'      => 'custom-navigation', 
                'menu_id'         => '',
                'echo'            => true,
                'fallback_cb'     => 'wp_page_menu',
                'before'          => '',
                'after'           => '',
                'link_before'     => '',
                'link_after'      => '',
                'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                'depth'           => 0,
                'walker'          => new Prio_Walker,
            );?>
            <?php wp_nav_menu( $args ); ?>
            <?php $args1 = array(
                'theme_location'  => 'mobile-head-bottom',
                'container'       => '', 
                'container_class' => '', 
                'container_id'    => '',
                'menu_class'      => 'custom-navigation-bottom clearfix', 
                'menu_id'         => '',
                'echo'            => true,
                'fallback_cb'     => 'wp_page_menu',
                'before'          => '',
                'after'           => '',
                'link_before'     => '',
                'link_after'      => '',
                'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                'depth'           => 0,
                'walker'          => '',
            );?>
            <?php wp_nav_menu( $args1 ); ?>
        </div>
        
        <ul class="custom-navigation-phone-toggle hidden-lg hidden-md visible-sm visible-xs">
        <?php if(get_field('smh_phone_number','options')):?>
            <li>
                <div class="custom-navigation-phone">
                    <a href="tel:<?php the_field('smh_phone_number','options');?>">
                        <i class="fa fa-volume-control-phone" aria-hidden="true"></i>
                    </a>                    
                </div>
            </li>
        <?php endif;?>
            <li>
                <div class="custom-navigation-toggle">
                    <div class="circle"></div>
                    <div class="circle"></div>
                    <div class="circle"></div>
                </div>
            </li>
        </ul>
        
    </div> <!-- header container -->
</div> <!-- header -->
</div>
